Summary:	Digium Asterisk SIREN7 codec
Name:		asterisk-codec-siren7
Version:	1.0.7
Release:	2%{?dist}
License:	Digium License
Group:		Applications/Internet
Source0:	http://downloads.digium.com/pub/telephony/codec_siren7/asterisk-16.0/x86-32/codec_siren7-16.0_%{version}-x86_32.tar.gz
Source1:	http://downloads.digium.com/pub/telephony/codec_siren7/asterisk-16.0/x86-64/codec_siren7-16.0_%{version}-x86_64.tar.gz
URL:		https://my.digium.com/en/docs/siren7/siren7-download/
BuildRequires:	tar >= 1:1.15.1
ExclusiveArch:	i386 x86_64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	asterisk >= 16.0.0, asterisk < 17.0.0


%description
Digium Asterisk SIREN7 codec with transcode support.


%prep
%setup -T -q -c -n codec_siren7-%{version}
%ifarch i386
%{__tar} --strip-components=1 -zxf %{SOURCE0}
%endif
%ifarch x86_64
%{__tar} --strip-components=1 -zxf %{SOURCE1}
%endif


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}/%{_libdir}/asterisk/modules
%{__install} -m 755 codec_siren7.so %{buildroot}/%{_libdir}/asterisk/modules/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/asterisk/modules/codec_siren7.so


%changelog
* Wed Oct 10 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.0.7-2
- Updated to asterisk 16 support

* Sat Jan 13 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.0.7-1
- First build script
